Subject: Re: IDE driver in polling mode

From: Sergei Shtylyov <[email-masked]>
Date: Tue, 10 Apr 2007 18:19:48 +0400

Hello.

Michael wrote:

> I'd like to know whether it is possible to use IDE driver (ide-disk)
> in polling mode, instead of using IRQ.

    I generally wouldn't recommend using this mode since the ATA polling 
protocol had been racy for years, WRT to the interrupt pending condition.

> In case you wonder - the reason why I need this weired thing is that I
> have a compact flash connected directly to the host local bus using
> memory mode. It is more-or-less IDE-compatible, except that it doesn't
> issue interrupts.

    Ah, no interrupts at all...
    The old IDE core in drivers/ide/ certainly doesn't support polling mode 
and IRQ-less devices. AFAICS, libata also doesn't support the latter...

MBR, Sergei